Loading...
Searching...
No Matches
Dune::TypeListElement< i, TypeList< T... > > Struct Template Reference
Common » Utilities » Type Utilities

Get element of TypeList. More...

`#include <dune/common/typelist.hh>`

Inheritance diagram for Dune::TypeListElement< i, TypeList< T... > >:

## Public Types

using | type = typename std::tuple_element<i, std::tuple<T...>>::type
| Export type of i-th element in TypeList.
using | Type = type
| Export type of i-th element in TypeList.

## Detailed Description

template<std::size_t i, class... T>
struct Dune::TypeListElement< i, TypeList< T... > >

Get element of TypeList.

## Member Typedef Documentation

## Type

template<std::size_t i, class... T>

using Dune::TypeListElement< i, TypeList< T... > >::Type = type

Export type of i-th element in TypeList.

Todo
  Implement without using std::tuple.

## type

template<std::size_t i, class... T>

using Dune::TypeListElement< i, TypeList< T... > >::type = typename std::tuple_element<i, std::tuple<T...>>::type

Export type of i-th element in TypeList.

Todo
  Implement without using std::tuple.

The documentation for this struct was generated from the following file:

- typelist.hh